Delete user geofence by id​
DELETE
/users/{id}/geofences/{fk}
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
id*
user id
Type
Requiredstring
Format
"JSON"fk*
Foreign key for geofences
Type
Requirednumber
Format
"integer"OpenAPI definition ​
References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).
View endpoint OpenAPI definition
yaml
openapi: 3.1.0
info:
version: 1.1.0
title: TrackingAPI
description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
- url: https://api.lightbug.cloud/api
externalDocs: {}
security:
- ApiKeyAuth: []
tags: []
paths:
/users/{id}/geofences/{fk}:
delete:
tags:
- geofences
summary: Delete user geofence by id
parameters:
- name: id
in: path
description: user id
required: true
schema:
type: string
format: JSON
- name: fk
in: path
description: Foreign key for geofences
required: true
schema:
type: number
format: integer
responses:
'204':
description: Request was successful
deprecated: false
security:
- ApiKeyAuth: []
operationId: delete-users-id-geofences-fk
components:
securitySchemes:
ApiKeyAuth:
in: header
name: Authorization
type: apiKey
description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...